Package ch.qos.logback.core.net.ssl

## Class SSLConfigurableServerSocket

- java.lang.Object
- - ch.qos.logback.core.net.ssl.SSLConfigurableServerSocket

All Implemented Interfaces:
  `SSLConfigurable`

    public class SSLConfigurableServerSocket
    extends java.lang.Object
    implements SSLConfigurable

An `SSLConfigurable` wrapper for an `SSLServerSocket`.

Author:
  Carl Harris

### Constructor Summary

Constructors
`SSLConfigurableServerSocket​(javax.net.ssl.SSLServerSocket delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getDefaultCipherSuites()` Gets the set of cipher suites that the SSL component enables by default.
`java.lang.String[]` `getDefaultProtocols()` Gets the set of protocols that the SSL component enables by default.
`java.lang.String[]` `getSupportedCipherSuites()` Gets the set of cipher suites that the SSL component supports.
`java.lang.String[]` `getSupportedProtocols()` Gets the set of protocols that the SSL component supports.
`void` `setEnabledCipherSuites​(java.lang.String[] suites)` Sets the enabled cipher suites on the SSL component.
`void` `setEnabledProtocols​(java.lang.String[] protocols)` Sets the enabled protocols on the SSL component.
`void` `setNeedClientAuth​(boolean state)` Sets a flag indicating whether the SSL component should require client authentication.
`void` `setWantClientAuth​(boolean state)` Sets a flag indicating whether the SSL component should request client authentication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLConfigurableServerSocket

    public SSLConfigurableServerSocket​(javax.net.ssl.SSLServerSocket delegate)

### Method Detail

#### getDefaultProtocols

    public java.lang.String[] getDefaultProtocols()

Description copied from interface: `SSLConfigurable`
Gets the set of protocols that the SSL component enables by default.

Specified by:
  `getDefaultProtocols` in interface `SSLConfigurable`
Returns:
  protocols (generally a subset of the set returned by `SSLConfigurable.getSupportedProtocols()`); the return value may be an empty array but must never be `null`.

#### getSupportedProtocols

    public java.lang.String[] getSupportedProtocols()

Description copied from interface: `SSLConfigurable`
Gets the set of protocols that the SSL component supports.

Specified by:
  `getSupportedProtocols` in interface `SSLConfigurable`
Returns:
  protocols supported protocols; the return value may be an empty array but must never be `null`.

#### setEnabledProtocols

    public void setEnabledProtocols​(java.lang.String[] protocols)

Description copied from interface: `SSLConfigurable`
Sets the enabled protocols on the SSL component.

Specified by:
  `setEnabledProtocols` in interface `SSLConfigurable`

#### getDefaultCipherSuites

    public java.lang.String[] getDefaultCipherSuites()

Description copied from interface: `SSLConfigurable`
Gets the set of cipher suites that the SSL component enables by default.

Specified by:
  `getDefaultCipherSuites` in interface `SSLConfigurable`
Returns:
  cipher suites (generally a subset of the set returned by `SSLConfigurable.getSupportedCipherSuites()`); the return value may be an empty array but must never be `null`

#### getSupportedCipherSuites

    public java.lang.String[] getSupportedCipherSuites()

Description copied from interface: `SSLConfigurable`
Gets the set of cipher suites that the SSL component supports.

Specified by:
  `getSupportedCipherSuites` in interface `SSLConfigurable`
Returns:
  supported cipher suites; the return value may be an empty array but must never be `null`

#### setEnabledCipherSuites

    public void setEnabledCipherSuites​(java.lang.String[] suites)

Description copied from interface: `SSLConfigurable`
Sets the enabled cipher suites on the SSL component.

Specified by:
  `setEnabledCipherSuites` in interface `SSLConfigurable`
Parameters:
  `suites` - the cipher suites to enable

#### setNeedClientAuth

    public void setNeedClientAuth​(boolean state)

Description copied from interface: `SSLConfigurable`
Sets a flag indicating whether the SSL component should require client authentication.

Specified by:
  `setNeedClientAuth` in interface `SSLConfigurable`
Parameters:
  `state` - the flag state to set

#### setWantClientAuth

    public void setWantClientAuth​(boolean state)

Description copied from interface: `SSLConfigurable`
Sets a flag indicating whether the SSL component should request client authentication.

Specified by:
  `setWantClientAuth` in interface `SSLConfigurable`
Parameters:
  `state` - the flag state to set